View Issue Details

IDProjectCategoryView StatusLast Update
0000024bareos-core[All Projects] directorpublic2015-03-25 19:18
ReporterpstorzAssigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version13.1.0 
Fixed in Version13.2.0 
Summary0000024: Automatic sending of BSR (at least of the Catalog DB) vie email
DescriptionThe BSR (Bootstrap Record) is the essential information to restore data without needing the Catalog Database. With the BSR, the data can directly be extracted from the volumes without having to scan all the data of the volume.

Right now, the BSR of each job is automatically written to a file. When the Backup Server itself crashes, usually this information is not available.

As a further enhancement, the configuration files should also be sent to another machine. As they contain passwords, this may also be a security problem and thus more complicated to find a good solution.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

maik

maik

2012-12-13 15:02

administrator   ~0000026

Suggestion:

make the bsr-postproccessing configurable like this:

..
bsr-postprocess-cmd = "mailx -s bsr admin@mysite.org"
...

where the bsr gets piped to the given command. If someone wants to encrypt the mail or use sftp or whatever transfer method, he can freely configure whatever he wants.
joergs

joergs

2013-06-21 17:17

developer   ~0000476

already implemented.
added to default configuration (for the next version)
mvwieringen adm

mvwieringen adm

2013-08-13 03:12

administrator   ~0000627

Fix committed to bareos master branch with changesetid 860.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001401

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4416.
joergs

joergs

2015-03-25 19:18

developer   ~0001555

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: master f9d2e834

2013-05-04 09:51:55

pstorz


Committer: mvwieringen adm

Ported: N/A

Details Diff
Send the catalog backup bootstrap file by mail

Having the bootstrap of the backupcatalog job is crucial
for disaster recovery.
Unfortunately, the default config didn't do that until now.

Now we automatically mail the bootstrap file of the backupcatalog job.

Also, we have now extended the BackupCatalog FileSet to include the
sysconfdir.

Fixes 0000024: Automatic sending of BSR (at least of the Catalog DB) via email
Affected Issues
0000024
mod - src/dird/bareos-dir.conf.in Diff File

bareos2015: bareos-12.4 c4ea4e00

2013-05-04 11:51:55

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Send the catalog backup bootstrap file by mail

Having the bootstrap of the backupcatalog job is crucial
for disaster recovery.
Unfortunately, the default config didn't do that until now.

Now we automatically mail the bootstrap file of the backupcatalog job.

Also, we have now extended the BackupCatalog FileSet to include the
sysconfdir.

Fixes 0000024: Automatic sending of BSR (at least of the Catalog DB) via email
Affected Issues
0000024
mod - src/dird/bareos-dir.conf.in Diff File

bareos2015: bareos-13.2 223eac9d

2013-05-04 11:51:55

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Send the catalog backup bootstrap file by mail

Having the bootstrap of the backupcatalog job is crucial
for disaster recovery.
Unfortunately, the default config didn't do that until now.

Now we automatically mail the bootstrap file of the backupcatalog job.

Also, we have now extended the BackupCatalog FileSet to include the
sysconfdir.

Fixes 0000024: Automatic sending of BSR (at least of the Catalog DB) via email
Affected Issues
0000024
mod - src/dird/bareos-dir.conf.in Diff File

Issue History

Date Modified Username Field Change
2012-12-12 15:40 pstorz New Issue
2012-12-12 15:40 pstorz Assigned To => pstorz
2012-12-12 15:40 pstorz Status new => assigned
2012-12-13 15:02 maik Note Added: 0000026
2013-02-12 16:29 mvwieringen Changeset attached => bareos master c0e2f420
2013-02-12 16:29 mvwieringen Assigned To pstorz => mvwieringen
2013-02-12 16:29 mvwieringen Status assigned => closed
2013-02-12 16:29 mvwieringen Resolution open => fixed
2013-02-12 16:30 mvwieringen Target Version => 12.4.0
2013-02-12 16:30 mvwieringen Assigned To mvwieringen =>
2013-03-04 10:37 mvwieringen Product Version => 13.1.0
2013-03-04 10:37 mvwieringen Fixed in Version => 13.1.0
2013-05-24 12:51 pstorz Assigned To => pstorz
2013-05-24 12:51 pstorz Status closed => resolved
2013-06-21 17:17 joergs Note Added: 0000476
2013-06-21 17:17 joergs Status resolved => closed
2013-06-21 17:17 joergs Assigned To pstorz =>
2013-06-21 17:17 joergs Fixed in Version 13.1.0 => 13.2.0
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master f9d2e834
2013-08-13 03:12 mvwieringen adm Note Added: 0000627
2013-08-13 03:12 mvwieringen adm Assigned To => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 08:47 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 08:47 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 c4ea4e00
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 223eac9d
2015-03-25 16:51 mvwieringen Note Added: 0001401
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001555
2015-03-25 19:18 joergs Status resolved => closed